summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorMartin Blanchard <tchaik@gmx.com>2019-03-12 17:13:30 +0900
committerfujiwarat <takao.fujiwara1@gmail.com>2019-03-12 17:13:30 +0900
commitda71a2e69726815a561f0f8dc6ade572d08a037c (patch)
tree0343ed31ce5ef00ee0dc1d60f90030d8f6ccc680 /autogen.sh
parent49f1e2fed1f9bf4223602db84fe03f002e2a87d2 (diff)
downloadibus-anthy-da71a2e69726815a561f0f8dc6ade572d08a037c.tar.gz
build: Prefer gettext over intltool (#11)
The intltool module is outdated: https://wiki.gnome.org/Initiatives/GnomeGoals/GettextMigration
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh52
1 files changed, 36 insertions, 16 deletions
diff --git a/autogen.sh b/autogen.sh
index 92c7655..6c335db 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,19 +1,39 @@
#!/bin/sh
-set -e
-set -x
-
-autopoint --force || exit 1
-libtoolize --automake --copy --force || exit 1
-intltoolize --copy --force || exit 1
-aclocal -I m4 --force || exit 1
-autoheader --force || exit 1
-automake --add-missing --copy --force || exit 1
-autoconf --force || exit 1
-
-if `echo "$@" | grep -q CFLAGS > /dev/null` ; then
- ./configure "$@" || exit 1
+# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
+
+olddir=$(pwd)
+
+cd "$srcdir"
+
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+ exit 1
+}
+
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
+fi
+
+aclocal --install || exit 1
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then
+ exit 0
+ else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
else
- CFLAGS=${CFLAGS-"-Wall -Werror -Wformat -Werror=format-security"}
- CXXFLAGS="$CFLAGS"
- ./configure "$@" CFLAGS="$CFLAGS" CXXFLAGS="$CXXFLAGS" || exit 1
+ echo "Skipping configure process."
fi